#
# spec file for package comix
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2007-2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           comix
Summary:        Comix - GTK Comic Book Viewer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Version:        4.0.4
Release:        lp152.3.2
BuildArch:      noarch
Url:            http://comix.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM comix-PIL.patch dimstar@opensuse.org -- Add support for PIL
Patch0:         comix-PIL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-gtk
BuildRequires:  python-imaging
BuildRequires:  update-desktop-files
Requires:       python-gtk
Requires:       python-imaging
Recommends:     %{name}-lang
Recommends:     unrar
%py_requires

%description
Comix is a user-friendly, customizable image viewer. It is
specifically designed to handle comic books, but also serves as a
generic viewer. It reads images in ZIP, RAR or tar archives (also
gzip or bzip2 compressed) as well as plain image files. It is
written in Python and uses GTK+ through the PyGTK bindings.

%lang_package
%prep
%setup -q
%patch0 -p1
sed -i s/\\r//g COPYING

%build

%install
install -d -m 755 %{buildroot}%{_prefix}
python install.py install --dir %{buildroot}%{_prefix} --no-mime
%suse_update_desktop_file %{name}
%fdupes %{buildroot}%{_datadir}
%find_lang %{name} %{?no_lang_C}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_mandir}/man?/%{name}.*

%files lang -f %{name}.lang

%changelog
* Wed Jul 30 2014 dimstar@opensuse.org
- Add comix-PIL.patch: Update PIL import statements for
  compatibility with Pillow (PIL-2).
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Remove unneeded calls to update-mime-database in %%post/%%postun.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
- Remove shared-mime-info PreReq: if it's not there, then we simply
  don't need to update the mime database.
* Fri Feb 11 2011 coolo@novell.com
- Do not RuildRequire unrar, it's not free source and only
  recommended.
* Mon Jun 22 2009 vuntz@novell.com
- Remove jpeg BuildRequires/Requires.
- Use py_requires macro.
- Clean up file list.
- Add missing requires on lang package.
* Mon Jun 15 2009 dominique-obs@leuenberger.net
- Upgrade to 4.0.4
  - Applied a workaround for a bug that caused the "Open" dialog to
    crash when trying to open a file when the file type filter had
    been reset to blank. This bug seems to only appear on some
    systems, probably depending on the installed GTK+ version.
  - Fixed a bug that caused the error message for unfulfilled
    dependencies to not be printed properly.
  - The rar/unrar program is now invoked in such a way as to keep
    broken or incomplete files extracted from RAR archives, since
    Comix might be able to display parts of these files anyway.
* Mon Feb 23 2009 dominique-obs@leuenberger.net
  Upgrade to 4.0.3
  - Updated translations
  - Autorotate image according EXIF tags
  - Buffixes: Drag'n'Drop, UTF-8, manual zoom
  - Support directories as command line arguments
  - Start comix in full from command line
* Sat Sep 20 2008 dominique-rpm@leuenberger.net
  Comix 3.6.5
  - Applied security fix patches to handle unsecure tempfile creation and
    character escaping in filenames. Thanks to Mamoru Tasaka and others for
    the patches.
  - Added a Korean translation by 김민기.
  - Added a Persian translation by Maryam Sanaat.
  - Added a Indonesian translation by Andhika Padmawan.
  - Added a Czech translation by Jan Nekvasil.
* Fri Jan 18 2008 dominique-rpm@leuenberger.net
- removed wrong BuildArch: noarch
* Thu Jan 10 2008 maw@suse.de
- Fix errors in %%post and %%postun
- Create this .changes file :)
- Create a -lang subpackage.
* Fri Nov 30 2007 Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Initial package with version 3.6.4 for OBS
